#include "TradeTransaction.mqh"
#include "TradeRequest.mqh"
#include "TradeResult.mqh"

struct ONTRADETRANSACTION
{
// private: // // https://www.mql5.com/ru/forum/1111/page2274#comment_8563787
  ulong Time;

  TRADETRANSACTION TradeTransaction;
  TRADEREQUEST TradeRequest;
  TRADERESULT TradeResult;

public:
  ulong Get( MqlTradeTransaction& Trans, MqlTradeRequest& Request, MqlTradeResult& Result ) const
  {
    this.TradeTransaction.Get(Trans);
    this.TradeRequest.Get(Request);
    this.TradeResult.Get(Result);

    return(this.Time);
  }

  void Set( const MqlTradeTransaction& Trans, const MqlTradeRequest& Request, const MqlTradeResult& Result, const ulong lTime = 0 )
  {
    this.Time = lTime;

    this.TradeTransaction = Trans;
    this.TradeRequest = Request;
    this.TradeResult = Result;
  }
};